Commit 947533fa authored by Monty's avatar Monty

Replace ancient vorbis-tools cargo-cult autogen.sh with thin autoremake script

Update configure.ac to, as ron puts it, "the 21st century" (mostly macro updates that appear to be symvol-pushing)


svn path=/trunk/vorbis-tools/; revision=18763
parent 0e7958d4
#!/bin/sh
# Run this to set up the build system: configure, makefiles, etc.
# (based on the version in enlightenment's cvs)
set -e
package="vorbis-tools"
olddir=`pwd`
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
cd "$srcdir"
DIE=0
echo "checking for autoconf... "
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to compile $package."
echo "Download the appropriate package for your distribution,"
echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
DIE=1
}
echo "checking for automake... "
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to compile $package."
echo "Download the appropriate package for your system,"
echo "or get the source from one of the GNU ftp sites"
echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
}
echo "checking for aclocal... "
(aclocal --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "The aclocal tool was not found. You probably"
echo "need to update your automake package to at least"
echo "version 1.3."
echo
}
echo -n "checking for libtool... "
for LIBTOOLIZE in libtoolize glibtoolize nope; do
(type $LIBTOOLIZE) > /dev/null 2>&1 && break
done
if test x$LIBTOOLIZE = xnope; then
echo "nope."
LIBTOOLIZE=libtoolize
else
echo $LIBTOOLIZE
fi
($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtool installed to compile $package."
echo "Download the appropriate package for your system,"
echo "or get the source from one of the GNU ftp sites"
echo "listed in http://www.gnu.org/order/ftp.html"
DIE=1
}
echo "checking for gettext... "
(gettext --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have gettext installed to compile $package."
echo "Install the appropriate package for your system"
echo "or get the source from one of the GNU ftp sites"
echo "e.g. ftp://ftp.gnu.org/pub/gnu/gettext/"
DIE=1
}
if test "$DIE" -eq 1; then
exit 1
fi
if test -z "$*"; then
echo "I am going to run ./configure with no arguments - if you wish "
echo "to pass any to it, please specify them on the $0 command line."
fi
echo "Generating configuration files for $package, please wait...."
test -n "$srcdir" && cd "$srcdir"
echo " aclocal $ACLOCAL_FLAGS"
aclocal $ACLOCAL_FLAGS || exit 1
echo " autoheader"
autoheader || exit 1
echo " $LIBTOOLIZE --automake"
$LIBTOOLIZE --automake || exit 1
echo " automake --add-missing $AUTOMAKE_FLAGS"
automake --add-missing $AUTOMAKE_FLAGS || exit 1
echo " autoconf"
autoconf || exit 1
echo "Updating build configuration files for vorbis-tools, please wait...."
cd $olddir
$srcdir/configure --enable-maintainer-mode "$@" && echo
ACLOCAL_FLAGS="-I m4"
autoreconf -isf
......@@ -4,17 +4,18 @@ dnl ------------------------------------------------
dnl Initialization
dnl ------------------------------------------------
AC_INIT(oggenc/encode.c)
AC_INIT([vorbis-tools],[1.4.0],[vorbis-dev@xiph.org])
AC_CONFIG_SRCDIR(oggenc/encode.c)
AC_CONFIG_MACRO_DIR([m4])
AC_CANONICAL_HOST
AC_CANONICAL_TARGET
AC_PREREQ(2.53)
AM_INIT_AUTOMAKE([vorbis-tools],[1.4.0])
AM_MAINTAINER_MODE
AM_CONFIG_HEADER([config.h])
AM_INIT_AUTOMAKE
AM_MAINTAINER_MODE([enable])
AC_USE_SYSTEM_EXTENSIONS
......@@ -379,7 +380,8 @@ AC_SUBST(CURL_LIBS)
AC_SUBST(I18N_CFLAGS)
AC_SUBST(I18N_LIBS)
AC_OUTPUT([
AC_CONFIG_FILES([
Makefile
m4/Makefile
po/Makefile.in
......@@ -397,6 +399,10 @@ ogginfo/Makefile
debian/Makefile
])
AC_CONFIG_HEADERS([config.h])
AC_OUTPUT
if test "x$build_oggenc" = xyes -a "x$have_libFLAC" != xyes; then
AC_MSG_WARN([FLAC and/or OggFLAC libraries or headers missing, oggenc
will NOT be built with FLAC read support.])
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment